cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

php7 and joomla

Joomla will not be support PHP 5.6 as of the end of Dec. 2018.

However, I find that I can't get Joomla working with PHP 7.x using the upgrade UI in the cPanel control.  I also noticed that PHP7 doesn't provide the same module choices as PHP 5.6 (for example, mySQL is no longer available).

 

Has anyone been able to get this working, or to identify with PHP module(s) must be in place in order to support Joomla?

1 REPLY 1
Community Manager
Community Manager

Re: php7 and joomla

Hi @ChristopherIvey. Welcome to GoDaddy Community! As far as I know, you shouldn't have a problem with the latest version of Joomla and PHP 7. I was able to install 3.9.1 without issue. There are a few MySQL options that are available in PHP 7. Here's what my test account looks like:

cPanel-PHP7-Joomla-MySQL.png

 

I'm not sure if all of those options are necessary, but I highlighted the MySQL options that are currently operating on my test account. Hope that helps.  

 

 

JesseW - GoDaddy | Community Manager | 24/7 support available at x.co/247support | Remember to choose a solution and give kudos.